# Maintenance page

## What is this

When updating a docker based deployment one may want to block user out during the maintenance but still be able to access the service.

This is a simple `docker-compose` service to use behind a traefik proxy that will take priority over other services.
It will show a maintenance page for the configured hosts to all users but ignored IPs.

## How to use it

1. Clone this repository
2. Copy `.env.sample` to `.env`
3. Set the variable `HOSTS` : it should contain the list of HOSTS you want to put down, see [traefik's doc](https://doc.traefik.io/traefik/routing/routers/#rule) on `HOST`
3. Set the variables `IGNORE_IPS` it should contain the list of IPs that can still access the service, see [traefik's doc](https://doc.traefik.io/traefik/routing/routers/#rule) on `ClientIP`
